Analytics de um produto
curl --request GET \
--url https://api.cakto.com.br/public_api/analytics/products/{product_id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cakto.com.br/public_api/analytics/products/{product_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cakto.com.br/public_api/analytics/products/{product_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cakto.com.br/public_api/analytics/products/{product_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.cakto.com.br/public_api/analytics/products/{product_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.cakto.com.br/public_api/analytics/products/{product_id}/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.cakto.com.br/public_api/analytics/products/{product_id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"product": {
"id": "4f1c2a9e-7d1b-4e34-9a7e-1c2b3d4e5f60",
"name": "Curso Completo",
"image": null,
"price": 199,
"status": "active",
"type": "unique"
},
"period": {
"startDate": "2026-11-01",
"endDate": "2026-11-30",
"previousStartDate": "2026-10-02",
"previousEndDate": "2026-10-31"
},
"updatedAt": "2026-11-30T20:55:00.000Z",
"trackingSince": "2026-10-20",
"totals": {
"pageViews": 5210,
"pageUniqueVisitors": 3900,
"checkoutViews": 1840,
"uniqueVisitors": 1490,
"formStarted": 610,
"formStartedEstimated": false,
"formPrefilled": 40,
"bumpShown": 1700,
"paymentsCreated": 240,
"paidCount": 92,
"grossAmount": 18308,
"averageTicket": 199,
"conversionRate": 5,
"pixGenerated": 150,
"pixPaid": 60,
"pixUnpaid": 90,
"pixUnpaidAmount": 17910,
"cardAttempts": 90,
"cardPaid": 32,
"cardRefused": 58,
"refundCount": 3,
"refundAmount": 597,
"chargebackCount": 0,
"medCount": 0,
"abandonments": 310,
"recoveredCount": 12,
"recoveredAmount": 2388,
"bumpCount": 21,
"bumpAmount": 987,
"upsellCount": 4,
"upsellAmount": 1188,
"downsellCount": 0,
"downsellAmount": 0,
"whatsapp": null,
"funnel": {
"since": "2026-11-01",
"pageViews": 5210,
"pageUniqueVisitors": 3900,
"pageToCheckoutRate": 35.32,
"checkoutViewsAbovePage": false,
"checkoutViews": 1840,
"formStarted": 650,
"formPrefilled": 40,
"formStartedEstimated": false,
"formStartedFromPayments": false,
"paymentsCreated": 240,
"paidCount": 92,
"conversionRate": 5
}
},
"previousTotals": {},
"daily": [],
"breakdowns": {
"utmSource": [
{
"value": "fb",
"count": 70,
"amount": 13930
},
{
"value": "(sem origem)",
"count": 22,
"amount": 4378
}
],
"ownVsAffiliate": {
"own": {
"count": 80,
"amount": 15920
},
"affiliate": {
"count": 12,
"amount": 2388
}
},
"paymentMethod": [
{
"value": "pix",
"attempts": 150,
"paid": 60
},
{
"value": "credit_card",
"attempts": 90,
"paid": 32
}
]
},
"complement": null,
"metaAds": {
"connected": false,
"status": null,
"adAccounts": [],
"adAccount": null,
"lastSyncedAt": null
}
}Analytics
Analytics de um produto
Totais, funil, dia a dia, origens, formas de pagamento, ofertas e WhatsApp de um produto.
GET
/
public_api
/
analytics
/
products
/
{product_id}
/
Analytics de um produto
curl --request GET \
--url https://api.cakto.com.br/public_api/analytics/products/{product_id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cakto.com.br/public_api/analytics/products/{product_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cakto.com.br/public_api/analytics/products/{product_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cakto.com.br/public_api/analytics/products/{product_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.cakto.com.br/public_api/analytics/products/{product_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.cakto.com.br/public_api/analytics/products/{product_id}/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.cakto.com.br/public_api/analytics/products/{product_id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"product": {
"id": "4f1c2a9e-7d1b-4e34-9a7e-1c2b3d4e5f60",
"name": "Curso Completo",
"image": null,
"price": 199,
"status": "active",
"type": "unique"
},
"period": {
"startDate": "2026-11-01",
"endDate": "2026-11-30",
"previousStartDate": "2026-10-02",
"previousEndDate": "2026-10-31"
},
"updatedAt": "2026-11-30T20:55:00.000Z",
"trackingSince": "2026-10-20",
"totals": {
"pageViews": 5210,
"pageUniqueVisitors": 3900,
"checkoutViews": 1840,
"uniqueVisitors": 1490,
"formStarted": 610,
"formStartedEstimated": false,
"formPrefilled": 40,
"bumpShown": 1700,
"paymentsCreated": 240,
"paidCount": 92,
"grossAmount": 18308,
"averageTicket": 199,
"conversionRate": 5,
"pixGenerated": 150,
"pixPaid": 60,
"pixUnpaid": 90,
"pixUnpaidAmount": 17910,
"cardAttempts": 90,
"cardPaid": 32,
"cardRefused": 58,
"refundCount": 3,
"refundAmount": 597,
"chargebackCount": 0,
"medCount": 0,
"abandonments": 310,
"recoveredCount": 12,
"recoveredAmount": 2388,
"bumpCount": 21,
"bumpAmount": 987,
"upsellCount": 4,
"upsellAmount": 1188,
"downsellCount": 0,
"downsellAmount": 0,
"whatsapp": null,
"funnel": {
"since": "2026-11-01",
"pageViews": 5210,
"pageUniqueVisitors": 3900,
"pageToCheckoutRate": 35.32,
"checkoutViewsAbovePage": false,
"checkoutViews": 1840,
"formStarted": 650,
"formPrefilled": 40,
"formStartedEstimated": false,
"formStartedFromPayments": false,
"paymentsCreated": 240,
"paidCount": 92,
"conversionRate": 5
}
},
"previousTotals": {},
"daily": [],
"breakdowns": {
"utmSource": [
{
"value": "fb",
"count": 70,
"amount": 13930
},
{
"value": "(sem origem)",
"count": 22,
"amount": 4378
}
],
"ownVsAffiliate": {
"own": {
"count": 80,
"amount": 15920
},
"affiliate": {
"count": 12,
"amount": 2388
}
},
"paymentMethod": [
{
"value": "pix",
"attempts": 150,
"paid": 60
},
{
"value": "credit_card",
"attempts": 90,
"paid": 32
}
]
},
"complement": null,
"metaAds": {
"connected": false,
"status": null,
"adAccounts": [],
"adAccount": null,
"lastSyncedAt": null
}
}Escopo
read analytics
product_id é o id de Listar produtos ou de products[].id em Todos os produtos.Authorizations
Token de autenticação do tipo Bearer {access_token}, onde {access_token} é o token obtido no fluxo de autenticação.
Query Parameters
Response
Was this page helpful?